package com.heyu.api.data.dto;


import lombok.Data;

@Data
public class BuyerDTO {
    /***
     * 买家id
     */
    private Long buyerId;


    /***
     * 买家名称
     */
    private String buyerName;


    /***
     * 是否是测试用户 1 ,是测试用户， 2 是匿名用户 ， 0 是正常用户
     */
    private Integer flag;

    /***
     * token
     */
    private String token ;


    /***
     * 头像
     */
    private String avatar;



    //买家微信
    private String buyerWeixin;
    //买家手机号
    private String buyerPhone;


    public Long getBuyerId() {
        return buyerId;
    }

    public void setBuyerId(Long buyerId) {
        this.buyerId = buyerId;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public Integer getFlag() {
        return flag;
    }

    public void setFlag(Integer flag) {
        this.flag = flag;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getBuyerWeixin() {
        return buyerWeixin;
    }

    public void setBuyerWeixin(String buyerWeixin) {
        this.buyerWeixin = buyerWeixin;
    }

    public String getBuyerPhone() {
        return buyerPhone;
    }

    public void setBuyerPhone(String buyerPhone) {
        this.buyerPhone = buyerPhone;
    }
}
